<?xml version="1.0" ?>
<!DOCTYPE article PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN"
"dtd/kdex.dtd" [
<!ENTITY % addindex "IGNORE">
<!ENTITY % English "INCLUDE" > <!-- change language only here -->
]>

<article lang="&language;">
<articleinfo>

<authorgroup>
<author>&Krishna.Tateneni; &Krishna.Tateneni.mail;</author>
<author>&Yves.Arrouye; &Yves.Arrouye.mail;</author>
<!-- TRANS:ROLES_OF_TRANSLATORS -->
</authorgroup>

<date>2002-10-16</date>
<releaseinfo>3.1</releaseinfo>

<keywordset>
<keyword>KDE</keyword>
<keyword>KControl</keyword>
<keyword>enhanced browsing</keyword>
<keyword>web shortcuts</keyword>
<keyword>browsing</keyword>
</keywordset>

</articleinfo>
<sect1 id="ebrowse">

<title>Web Shortcuts</title>

<sect2 id="ebrowse-intro">

<title>Introduction</title>

<para>&konqueror; offers some features to enhance your browsing
experience. One such feature is <emphasis>Web Shortcuts</emphasis>.</para>

<para>You may already have noticed that &kde; is very Internet friendly.
For example, you can click on the <guimenuitem>Run</guimenuitem> menu
item or type the keyboard shortcut assigned to that command (<keycombo
action="simul">&Alt;<keycap>F2</keycap></keycombo>,
unless you have changed it) and type in a <acronym>URI</acronym>.
<footnote><para>Uniform Resource Identifier. A standardized way of
referring to a resource such as a file on your computer, a World Wide
Web address, an email address,
<abbrev>etc...</abbrev>.</para></footnote></para>

<para>Web shortcuts, on the other hand, let you come up with new pseudo
<acronym>URL</acronym> schemes, or shortcuts, that basically let you
<emphasis>parameterize</emphasis> commonly used
<acronym>URI</acronym>s. For example, if you like the Google search
engine, you can configure KDE so that a pseudo <acronym>URL</acronym>
scheme like <emphasis>gg</emphasis> will trigger a search on
Google. This way, typing <userinput>gg:<replaceable>my
query</replaceable></userinput> will search for <replaceable>my
query</replaceable> on Google.</para>

<note><para>One can see why we call these pseudo <acronym>URL</acronym>
schemes. They are used like a <acronym>URL</acronym> scheme, but the
input is not properly <acronym>URL</acronym> encoded, so one will type
<userinput>google:kde apps</userinput> and not
<userinput>google:kde+apps</userinput>.</para></note>

<para>You can use web
shortcuts wherever you would normally use
<acronym>URI</acronym>s. Shortcuts for several search engines should
already be configured on your system, but you can add new keywords, and
change or delete existing ones in the enhanced browsing control
module. </para>

</sect2>

<sect2 id="ebrowse-use">

<title>Use</title>

<para>There is a single tab in this control module. The title of the tab
is <guilabel>Keywords</guilabel>. This tab features two main boxes, one
for Internet Keywords and one for web shortcuts.</para>

<sect3 id="ebrowse-srch-use">

<title>Web Shortcuts</title>

<para>The descriptive names of defined web shortcuts are shown in a
listbox. As with other lists in &kde;, you can click on a column
heading to toggle the sort order between ascending and
descending, and you can resize the columns.</para>

<para>If you double-click on a specific entry in the list of defined
search providers, the details for that entry are shown in a popup
dialog.  In addition to the descriptive name for the item, you can
also see the <acronym>URI</acronym> which is used, as well as the
associated shortcuts which you can type anywhere in &kde; where
<acronym>URI</acronym>s are expected. A given search provider can have
multiple shortcuts, each separated by a comma.</para>

<para> The text boxes are used not only for displaying information
about an item in the list of web shortcuts, but also for modifying or
adding new items.</para>

<para>You can change the contents of either the <guilabel>Search
URI</guilabel> or the <guilabel>URI Shortcuts</guilabel> text box.
Click <guibutton>OK</guibutton> to save your changes or
<guibutton>Cancel</guibutton> to exit the dialog with no
changes.</para>

<para>If you examine the contents of the <guilabel>Search
URI</guilabel> text box, you will find that most, if not all of the
entries have a <option>\{@}</option> in them. This sequence of two
characters acts as a parameter, which is to say that they are replaced
by whatever you happen to type after the colon character that is
between a shortcut and its parameter. Let's consider some examples to
clarify this idea.</para>

<para>Suppose that the <acronym>URI</acronym> is
<userinput>http://www.google.com/search?q=\{@}</userinput>, and
<userinput>gg</userinput> is a shortcut to this
<acronym>URI</acronym>. Then, typing
<userinput>gg:<replaceable>alpha</replaceable></userinput> is
equivalent to
<userinput>http://www.google.com/search?q=<replaceable>alpha</replaceable></userinput>.
You could type anything after the <userinput>:</userinput> character;
whatever you have typed simply replaces the <option>\{@}</option>
characters, after being converted to the appropriate character set for
the search provider and then properly
<acronym>URL</acronym>-encoded. Only the <option>\{@}</option> part of
the search <acronym>URI</acronym> is touched, the rest of it is
supposed to be properly <acronym>URL</acronym>-encoded already and is
left as is.</para>

<para>You can also have shortcuts without parameters. Suppose the
<acronym>URI</acronym> was
<emphasis>file:/home/me/mydocs/kofficefiles/kword</emphasis> and the
shortcut was <emphasis>mykword</emphasis>. Then, typing
<userinput>mykword:</userinput> is the same as typing the complete
<acronym>URI</acronym>. Note that there is nothing after the colon
when typing the shortcut, but the colon is still required in order for
the shortcut to be recognized as such.</para>

<para>By now, you will have understood that even though these shortcuts
are called web shortcuts, they really are shortcuts to parameterized
<acronym>URI</acronym>s, which can point not only to web sites like
search engines but also to anything else that can be pointed to by a
<acronym>URI</acronym>. Web shortcuts are a very powerful feature of
navigation in &kde;.</para>

</sect3>

</sect2>

</sect1>

</article>